#include <arduino.au3>
#include <Misc.au3>

;verwendet mit dem Sketch SerialEventAutoIt

ArduinoConnect(3, 9600)    ;port,bps

While 1

    If _IsPressed("20") Then ;spacebar toggles debugmode
        $ArduinoDebugMode = Not $ArduinoDebugMode ;if 1 then show every returned Serial.write() from Arduino
		ArduinoSerialSend("ArduinoDebugMode="&$ArduinoDebugMode)
		ConsoleWrite('@@ Debug(' & @ScriptLineNumber & ') : $ArduinoDebugMode = ' & $ArduinoDebugMode & @CRLF & '>Error code: ' & @error & @CRLF) ;### Debug Console
    EndIf

    If _IsPressed("30") Then ;if 1 pressed
        analogwrite(3, 0)  ;set analog port DIGITAL/PWM  3 (!!!!) to 0 (minimum 0v)
    EndIf
    If _IsPressed("31") Then ;if 0 pressed
        analogwrite(3, 250) ;set analog port DIGITAL/PWM 3 (!!!!) to 255 (maximum 3.3/5V)
    EndIf

    digitalwrite(8, 1)     ;set digital port 8 to HIGH
    Sleep(100)
    digitalwrite(8, 0)     ;set digital port 8 to LOW
    Sleep(100)


    $analogread = analogread(3) ;read value from ANALOG IN, value is between 0 and 1023 (10 bit)
    ConsoleWrite('@@ Debug(' & @ScriptLineNumber & ') : $analogread = ' & $analogread & @CRLF & '>Error code: ' & @error & @CRLF) ;### Debug Console
    Sleep(100)

WEnd



